
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
  <head>
    <meta http-equiv="X-UA-Compatible" content="IE=Edge" />
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    <title>MDSLibraries.javascript_code_for_trees module &#8212; PhaserVoyager 0.0.1 documentation</title>
    <link rel="stylesheet" href="_static/sphinxdoc.css" type="text/css" />
    <link rel="stylesheet" href="_static/pygments.css" type="text/css" />
    <script type="text/javascript" id="documentation_options" data-url_root="./" src="_static/documentation_options.js"></script>
    <script type="text/javascript" src="_static/jquery.js"></script>
    <script type="text/javascript" src="_static/underscore.js"></script>
    <script type="text/javascript" src="_static/doctools.js"></script>
    <script type="text/javascript" src="_static/language_data.js"></script>
    <link rel="index" title="Index" href="genindex.html" />
    <link rel="search" title="Search" href="search.html" />
    <link rel="next" title="MDSLibraries.pdb_structure module" href="MDSLibraries.pdb_structure.html" />
    <link rel="prev" title="MDSLibraries.ensemble_functions module" href="MDSLibraries.ensemble_functions.html" /> 
  </head><body>
    <div class="related" role="navigation" aria-label="related navigation">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="genindex.html" title="General Index"
             accesskey="I">index</a></li>
        <li class="right" >
          <a href="py-modindex.html" title="Python Module Index"
             >modules</a> |</li>
        <li class="right" >
          <a href="MDSLibraries.pdb_structure.html" title="MDSLibraries.pdb_structure module"
             accesskey="N">next</a> |</li>
        <li class="right" >
          <a href="MDSLibraries.ensemble_functions.html" title="MDSLibraries.ensemble_functions module"
             accesskey="P">previous</a> |</li>
        <li class="nav-item nav-item-0"><a href="index.html">PhaserVoyager 0.0.1 documentation</a> &#187;</li>
          <li class="nav-item nav-item-1"><a href="modules.html" >src</a> &#187;</li>
          <li class="nav-item nav-item-2"><a href="MDSLibraries.html" accesskey="U">MDSLibraries package</a> &#187;</li> 
      </ul>
    </div>
      <div class="sphinxsidebar" role="navigation" aria-label="main navigation">
        <div class="sphinxsidebarwrapper">
  <h4>Previous topic</h4>
  <p class="topless"><a href="MDSLibraries.ensemble_functions.html"
                        title="previous chapter">MDSLibraries.ensemble_functions module</a></p>
  <h4>Next topic</h4>
  <p class="topless"><a href="MDSLibraries.pdb_structure.html"
                        title="next chapter">MDSLibraries.pdb_structure module</a></p>
  <div role="note" aria-label="source link">
    <h3>This Page</h3>
    <ul class="this-page-menu">
      <li><a href="_sources/MDSLibraries.javascript_code_for_trees.rst.txt"
            rel="nofollow">Show Source</a></li>
    </ul>
   </div>
<div id="searchbox" style="display: none" role="search">
  <h3>Quick search</h3>
    <div class="searchformwrapper">
    <form class="search" action="search.html" method="get">
      <input type="text" name="q" />
      <input type="submit" value="Go" />
      <input type="hidden" name="check_keywords" value="yes" />
      <input type="hidden" name="area" value="default" />
    </form>
    </div>
</div>
<script type="text/javascript">$('#searchbox').show(0);</script>
        </div>
      </div>

    <div class="document">
      <div class="documentwrapper">
        <div class="bodywrapper">
          <div class="body" role="main">
            
  <div class="section" id="module-MDSLibraries.javascript_code_for_trees">
<span id="mdslibraries-javascript-code-for-trees-module"></span><h1>MDSLibraries.javascript_code_for_trees module<a class="headerlink" href="#module-MDSLibraries.javascript_code_for_trees" title="Permalink to this headline">¶</a></h1>
<dl class="function">
<dt id="MDSLibraries.javascript_code_for_trees.get_html_dag_graph_for_3djs">
<code class="descclassname">MDSLibraries.javascript_code_for_trees.</code><code class="descname">get_html_dag_graph_for_3djs</code><span class="sig-paren">(</span><em>browserwidget</em>, <em>G</em>, <em>use_socket=False</em>, <em>websockport=7894</em>, <em>animation_speed=None</em>, <em>zoom=1.0</em>, <em>force_properties=None</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/javascript_code_for_trees.html#get_html_dag_graph_for_3djs"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.javascript_code_for_trees.get_html_dag_graph_for_3djs" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="function">
<dt id="MDSLibraries.javascript_code_for_trees.get_html_dag_graph_for_3djs2">
<code class="descclassname">MDSLibraries.javascript_code_for_trees.</code><code class="descname">get_html_dag_graph_for_3djs2</code><span class="sig-paren">(</span><em>browserwidget</em>, <em>G</em>, <em>use_socket=False</em>, <em>websockport=7894</em>, <em>animation_speed=750</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/javascript_code_for_trees.html#get_html_dag_graph_for_3djs2"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.javascript_code_for_trees.get_html_dag_graph_for_3djs2" title="Permalink to this definition">¶</a></dt>
<dd><table class="docutils field-list" frame="void" rules="none">
<col class="field-name" />
<col class="field-body" />
<tbody valign="top">
<tr class="field-odd field"><th class="field-name">Parameters:</th><td class="field-body"><ul class="first simple">
<li><strong>G</strong> – </li>
<li><strong>use_socket</strong> – </li>
</ul>
</td>
</tr>
<tr class="field-even field"><th class="field-name">Returns:</th><td class="field-body"><p class="first"></p>
</td>
</tr>
<tr class="field-odd field"><th class="field-name">Return type:</th><td class="field-body"><p class="first last"></p>
</td>
</tr>
</tbody>
</table>
</dd></dl>

<dl class="function">
<dt id="MDSLibraries.javascript_code_for_trees.get_html_dag_graph_for_3djs3">
<code class="descclassname">MDSLibraries.javascript_code_for_trees.</code><code class="descname">get_html_dag_graph_for_3djs3</code><span class="sig-paren">(</span><em>browserwidget</em>, <em>G</em>, <em>use_socket=False</em>, <em>websockport=7894</em>, <em>animation_speed=1.0</em>, <em>zoom=1.0</em>, <em>force_properties=None</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/javascript_code_for_trees.html#get_html_dag_graph_for_3djs3"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.javascript_code_for_trees.get_html_dag_graph_for_3djs3" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="function">
<dt id="MDSLibraries.javascript_code_for_trees.get_html_strategy_graph_for_3djs">
<code class="descclassname">MDSLibraries.javascript_code_for_trees.</code><code class="descname">get_html_strategy_graph_for_3djs</code><span class="sig-paren">(</span><em>browserwidget</em>, <em>G</em>, <em>use_socket=False</em>, <em>websockport=7894</em>, <em>animation_speed=750</em>, <em>zoom=1.0</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/javascript_code_for_trees.html#get_html_strategy_graph_for_3djs"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.javascript_code_for_trees.get_html_strategy_graph_for_3djs" title="Permalink to this definition">¶</a></dt>
<dd><table class="docutils field-list" frame="void" rules="none">
<col class="field-name" />
<col class="field-body" />
<tbody valign="top">
<tr class="field-odd field"><th class="field-name">Parameters:</th><td class="field-body"><ul class="first simple">
<li><strong>G</strong> – </li>
<li><strong>use_socket</strong> – </li>
</ul>
</td>
</tr>
<tr class="field-even field"><th class="field-name">Returns:</th><td class="field-body"><p class="first"></p>
</td>
</tr>
<tr class="field-odd field"><th class="field-name">Return type:</th><td class="field-body"><p class="first last"></p>
</td>
</tr>
</tbody>
</table>
</dd></dl>

<dl class="function">
<dt id="MDSLibraries.javascript_code_for_trees.get_json_d3_js_data">
<code class="descclassname">MDSLibraries.javascript_code_for_trees.</code><code class="descname">get_json_d3_js_data</code><span class="sig-paren">(</span><em>G</em>, <em>get_json=True</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/javascript_code_for_trees.html#get_json_d3_js_data"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.javascript_code_for_trees.get_json_d3_js_data" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="function">
<dt id="MDSLibraries.javascript_code_for_trees.sort_join_nodes">
<code class="descclassname">MDSLibraries.javascript_code_for_trees.</code><code class="descname">sort_join_nodes</code><span class="sig-paren">(</span><em>dizio</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/javascript_code_for_trees.html#sort_join_nodes"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.javascript_code_for_trees.sort_join_nodes" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

</div>


          </div>
        </div>
      </div>
      <div class="clearer"></div>
    </div>
    <div class="related" role="navigation" aria-label="related navigation">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="genindex.html" title="General Index"
             >index</a></li>
        <li class="right" >
          <a href="py-modindex.html" title="Python Module Index"
             >modules</a> |</li>
        <li class="right" >
          <a href="MDSLibraries.pdb_structure.html" title="MDSLibraries.pdb_structure module"
             >next</a> |</li>
        <li class="right" >
          <a href="MDSLibraries.ensemble_functions.html" title="MDSLibraries.ensemble_functions module"
             >previous</a> |</li>
        <li class="nav-item nav-item-0"><a href="index.html">PhaserVoyager 0.0.1 documentation</a> &#187;</li>
          <li class="nav-item nav-item-1"><a href="modules.html" >src</a> &#187;</li>
          <li class="nav-item nav-item-2"><a href="MDSLibraries.html" >MDSLibraries package</a> &#187;</li> 
      </ul>
    </div>
    <div class="footer" role="contentinfo">
        &#169; Copyright 2020, Massimo D. Sammito.
      Created using <a href="http://sphinx-doc.org/">Sphinx</a> 1.8.5.
    </div>
  </body>
</html>